<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:06 AEST 2019 -->
<title>CommandUtil (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CommandUtil (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/internal/command/CommandRegistrationHandler.html" title="class in com.sk89q.worldedit.internal.command"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/internal/command/CommandUtil.html" target="_top">Frames</a></li>
<li><a href="CommandUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.internal.command</div>
<h2 title="Class CommandUtil" class="title">Class CommandUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.internal.command.CommandUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CommandUtil</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.util.Comparator&lt;org.enginehub.piston.Command&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/command/CommandUtil.html#byCleanName--">byCleanName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/command/CommandUtil.html#checkCommandArgument-boolean-com.sk89q.worldedit.util.formatting.text.Component-">checkCommandArgument</a></span>(boolean&nbsp;condition,
                    com.sk89q.worldedit.util.formatting.text.Component&nbsp;message)</code>
<div class="block">Require <code>condition</code> to be <code>true</code>, otherwise throw a <code>CommandException</code>
 with the given message.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/command/CommandUtil.html#checkCommandArgument-boolean-java.lang.String-">checkCommandArgument</a></span>(boolean&nbsp;condition,
                    java.lang.String&nbsp;message)</code>
<div class="block">Require <code>condition</code> to be <code>true</code>, otherwise throw a <code>CommandException</code>
 with the given message.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/command/CommandUtil.html#fixSuggestions-java.lang.String-java.util.List-">fixSuggestions</a></span>(java.lang.String&nbsp;arguments,
              java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/internal/util/Substring.html" title="class in com.sk89q.worldedit.internal.util">Substring</a>&gt;&nbsp;suggestions)</code>
<div class="block">Fix <code>suggestions</code> to replace the last space-separated word in <code>arguments</code>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static java.util.Map&lt;java.lang.String,org.enginehub.piston.Command&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/command/CommandUtil.html#getSubCommands-org.enginehub.piston.Command-">getSubCommands</a></span>(org.enginehub.piston.Command&nbsp;currentCommand)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static &lt;T&gt;&nbsp;T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/command/CommandUtil.html#requireIV-org.enginehub.piston.inject.Key-java.lang.String-org.enginehub.piston.inject.InjectedValueAccess-">requireIV</a></span>(org.enginehub.piston.inject.Key&lt;T&gt;&nbsp;type,
         java.lang.String&nbsp;name,
         org.enginehub.piston.inject.InjectedValueAccess&nbsp;injectedValueAccess)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSubCommands-org.enginehub.piston.Command-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSubCommands</h4>
<pre>public static&nbsp;java.util.Map&lt;java.lang.String,org.enginehub.piston.Command&gt;&nbsp;getSubCommands(org.enginehub.piston.Command&nbsp;currentCommand)</pre>
</li>
</ul>
<a name="byCleanName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byCleanName</h4>
<pre>public static&nbsp;java.util.Comparator&lt;org.enginehub.piston.Command&gt;&nbsp;byCleanName()</pre>
</li>
</ul>
<a name="fixSuggestions-java.lang.String-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixSuggestions</h4>
<pre>public static&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;fixSuggestions(java.lang.String&nbsp;arguments,
                                                              java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/internal/util/Substring.html" title="class in com.sk89q.worldedit.internal.util">Substring</a>&gt;&nbsp;suggestions)</pre>
<div class="block">Fix <code>suggestions</code> to replace the last space-separated word in <code>arguments</code>.</div>
</li>
</ul>
<a name="checkCommandArgument-boolean-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkCommandArgument</h4>
<pre>public static&nbsp;void&nbsp;checkCommandArgument(boolean&nbsp;condition,
                                        java.lang.String&nbsp;message)</pre>
<div class="block">Require <code>condition</code> to be <code>true</code>, otherwise throw a <code>CommandException</code>
 with the given message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>condition</code> - the condition to check</dd>
<dd><code>message</code> - the message for failure</dd>
</dl>
</li>
</ul>
<a name="checkCommandArgument-boolean-com.sk89q.worldedit.util.formatting.text.Component-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkCommandArgument</h4>
<pre>public static&nbsp;void&nbsp;checkCommandArgument(boolean&nbsp;condition,
                                        com.sk89q.worldedit.util.formatting.text.Component&nbsp;message)</pre>
<div class="block">Require <code>condition</code> to be <code>true</code>, otherwise throw a <code>CommandException</code>
 with the given message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>condition</code> - the condition to check</dd>
<dd><code>message</code> - the message for failure</dd>
</dl>
</li>
</ul>
<a name="requireIV-org.enginehub.piston.inject.Key-java.lang.String-org.enginehub.piston.inject.InjectedValueAccess-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>requireIV</h4>
<pre>public static&nbsp;&lt;T&gt;&nbsp;T&nbsp;requireIV(org.enginehub.piston.inject.Key&lt;T&gt;&nbsp;type,
                              java.lang.String&nbsp;name,
                              org.enginehub.piston.inject.InjectedValueAccess&nbsp;injectedValueAccess)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/internal/command/CommandRegistrationHandler.html" title="class in com.sk89q.worldedit.internal.command"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/internal/command/CommandUtil.html" target="_top">Frames</a></li>
<li><a href="CommandUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
